org.omg.CORBA

## Class DefinitionKindHelper

- java.lang.Object
- - org.omg.CORBA.DefinitionKindHelper

-     public abstract class DefinitionKindHelper
      extends Object

  The Helper for `DefinitionKind`. For more information on Helper files, see "Generated Files: Helper Files".

  org/omg/CORBA/DefinitionKindHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ir.idl 03 June 1999 11:33:43 o'clock GMT+00:00

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefinitionKindHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefinitionKind` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, DefinitionKind that)`
    `static DefinitionKind` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static void` | `write(OutputStream ostream, DefinitionKind value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefinitionKindHelper

          public DefinitionKindHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                    DefinitionKind that)

    - #### extract

          public static DefinitionKind extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static DefinitionKind read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                   DefinitionKind value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.